# Manual do usuario de &kde;

Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
kbuildsycoca4
8

# `kbuildsycoca4`

Reconstrui a caché da configuración do sistema.

## Resumo

    kbuildsycoca4  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrición

`kbuidsycoca4`, como parte das ferramentas &kde; para a liña de comandos garante o funcionamento correcto de &kde; lendo todos os ficheiros `.desktop`, `.directory`, `.kimgio` e `.protocol` para construir unha base de dados binaria.

&kde; acede a esta base de datos durante o funcionamento para a fornecer información de configuración que precise un programa para a súa execución.

Esta ferramenta é parte de ksycoca, que significa &kde; System Configuration Cache

## Opcións

`--nosignal`

  Non enviar sinais aos programas

`--incremental`

  Actualización incremental

`--help`

  Mostra axuda acerca das opcións

`--help-qt`

  Mostra as opcións específicas de Qt

`--help-kde`

  Mostra as opcións específicas de KDE

`--help-all`

  Mostra todas as opcións

`--author`

  Mostra información de autoría

`--version`

  Mostra información da versión

`--license`

  Mostra información da licenza

## Utilización

O xeito estándar de executar este programa é especificar o seguinte comando na liña de ordes ``kbuidsycoca4``

## Ficheiros

`/tmp/kde-$USER/ksycoca`

  ...

## Variábeis de contorno

$`KDEDIRS`

  Indica que directorios forman parte da instalación de KDE

## Consulte tamén

kdeinit4

## Erros

Non hai erros coñecidos no momento de escreber esta páxina.